import { NodePath } from "@babel/core";
import { TraverseOptions } from "@babel/traverse";
import * as t from "@babel/types";
import { Scope } from "./Scope";
import { Element } from "./Element";
export declare class AbstractSyntaxTreeVisitor implements TraverseOptions {
    private _filePath;
    private _nodeId;
    private _scopeIdOffset;
    private _thisScopes;
    private _thisScopeStack;
    private _thisScopeStackNames;
    get filePath(): string;
    get nodeId(): any;
    get scopeIdOffset(): number;
    constructor(filePath: string);
    enter: () => void;
    Program: {
        enter: (path: NodePath<t.Program>) => void;
    };
    Scopable: {
        enter: (path: NodePath<t.Scopable>) => void;
        exit: (path: NodePath<t.Scopable>) => void;
    };
    private _getCurrentThisScopeId;
    private _getCurrentThisScopeName;
    _getScope(path: any): Scope;
    _getElement(path: NodePath<t.Node>): Element;
}
//# sourceMappingURL=AbstractSyntaxTreeVisitor.d.ts.map