"use strict";
/*
 * Copyright 2020-2023 Delft University of Technology and SynTest contributors
 *
 * This file is part of SynTest Framework - SynTest Javascript.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getElementId = exports.ElementType = exports.isInstanceOfElement = void 0;
// eslint-disable-next-line
function isInstanceOfElement(object) {
    return "scope" in object && "type" in object && "value" in object;
}
exports.isInstanceOfElement = isInstanceOfElement;
var ElementType;
(function (ElementType) {
    ElementType["StringConstant"] = "stringConstant";
    ElementType["NumericalConstant"] = "numericalConstant";
    ElementType["BooleanConstant"] = "booleanConstant";
    ElementType["NullConstant"] = "nullConstant";
    ElementType["UndefinedConstant"] = "undefinedConstant";
    ElementType["RegexConstant"] = "regexConstant";
    ElementType["Identifier"] = "identifier";
    ElementType["Relation"] = "relation";
})(ElementType = exports.ElementType || (exports.ElementType = {}));
function getElementId(element) {
    if (!element.scope) {
        return `scope=null,type=${element.type},value=${element.value}`;
    }
    return `scope=(id=${element.scope.uid},filePath=${element.scope.filePath}),type=${element.type},value=${element.value}`;
}
exports.getElementId = getElementId;
//# sourceMappingURL=Element.js.map